commit 0c02627d977f1b13824bb6d93f03ada5517fe37a
Author: CSILLAG Tamas <cstamas@cstamas.hu>
Date:   Thu Dec 26 18:04:51 2013 +0100

    file-excluded support escaped separators: newline, tab, space

diff --git a/scripts/uscan.pl b/scripts/uscan.pl
index a3f4cb4..32d41de 100755
--- a/scripts/uscan.pl
+++ b/scripts/uscan.pl
@@ -1543,7 +1543,11 @@ EOF
 	    my $file_list;
 	    spawn(exec => ['find', $main_source_dir], wait_child => 1, to_string => \$file_list);
 	    my $nfiles_before = split /\n/, $file_list;
-	    foreach (grep { $_ } split /\s+/, $data->{"files-excluded"}) {
+	    # see the thread for details http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=635920#127
+	    my @excluded = ($data->{"files-excluded"} =~ /(?:\A|\G\s+)((?:\\.|[^\\\s])+)/g);
+	    # un-escape
+	    @excluded = map { s/\\(.)/$1/g; $_ } @excluded;
+	    foreach (@excluded) {
 		# delete trailing '/' because otherwise find -path will fail
 		s?/+$??;
 		# use rm -rf to enable deleting non-empty directories
